/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: precompiled_toolkit.hxx,v $
 * $Revision: 1.5 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

// MARKER(update_precomp.py): Generated on 2006-09-01 17:50:14.373372

#ifdef PRECOMPILED_HEADERS
//---MARKER---
#include "sal/config.h"
#include "sal/types.h"

#include "com/sun/star/accessibility/AccessibleEventId.hpp"
#include "com/sun/star/accessibility/AccessibleRelationType.hpp"
#include "com/sun/star/accessibility/AccessibleRole.hpp"
#include "com/sun/star/accessibility/AccessibleStateType.hpp"
#include "com/sun/star/accessibility/XAccessible.hpp"
#include "com/sun/star/accessibility/XAccessibleAction.hpp"
#include "com/sun/star/accessibility/XAccessibleComponent.hpp"
#include "com/sun/star/accessibility/XAccessibleContext.hpp"
#include "com/sun/star/accessibility/XAccessibleEditableText.hpp"
#include "com/sun/star/accessibility/XAccessibleEventBroadcaster.hpp"
#include "com/sun/star/accessibility/XAccessibleEventListener.hpp"
#include "com/sun/star/accessibility/XAccessibleExtendedComponent.hpp"
#include "com/sun/star/accessibility/XAccessibleKeyBinding.hpp"
#include "com/sun/star/accessibility/XAccessibleSelection.hpp"
#include "com/sun/star/accessibility/XAccessibleStateSet.hpp"
#include "com/sun/star/accessibility/XAccessibleText.hpp"
#include "com/sun/star/accessibility/XAccessibleValue.hpp"
#include "com/sun/star/awt/AdjustmentType.hpp"
#include "com/sun/star/awt/CharSet.hpp"
#include "com/sun/star/awt/DeviceCapability.hpp"
#include "com/sun/star/awt/DockingEvent.hpp"
#include "com/sun/star/awt/EndDockingEvent.hpp"
#include "com/sun/star/awt/EndPopupModeEvent.hpp"
#include "com/sun/star/awt/FocusEvent.hpp"
#include "com/sun/star/awt/FontDescriptor.hpp"
#include "com/sun/star/awt/FontPitch.hpp"
#include "com/sun/star/awt/FontSlant.hpp"
#include "com/sun/star/awt/FontStrikeout.hpp"
#include "com/sun/star/awt/FontType.hpp"
#include "com/sun/star/awt/FontUnderline.hpp"
#include "com/sun/star/awt/FontWeight.hpp"
#include "com/sun/star/awt/FontWidth.hpp"
#include "com/sun/star/awt/ImagePosition.hpp"
#include "com/sun/star/awt/KeyEvent.hpp"
#include "com/sun/star/awt/KeyModifier.hpp"
#include "com/sun/star/awt/LineEndFormat.hpp"
#include "com/sun/star/awt/MouseButton.hpp"
#include "com/sun/star/awt/MouseEvent.hpp"
#include "com/sun/star/awt/Point.hpp"
#include "com/sun/star/awt/PosSize.hpp"
#include "com/sun/star/awt/Rectangle.hpp"
#include "com/sun/star/awt/ScrollBarOrientation.hpp"
#include "com/sun/star/awt/SimpleFontMetric.hpp"
#include "com/sun/star/awt/Size.hpp"
#include "com/sun/star/awt/Style.hpp"
#include "com/sun/star/awt/SystemDependentXWindow.hpp"
#include "com/sun/star/awt/TextAlign.hpp"
#include "com/sun/star/awt/VclWindowPeerAttribute.hpp"
#include "com/sun/star/awt/VisualEffect.hpp"
#include "com/sun/star/awt/WindowAttribute.hpp"
#include "com/sun/star/awt/WindowClass.hpp"
#include "com/sun/star/awt/WindowEvent.hpp"
#include "com/sun/star/awt/XActionListener.hpp"
#include "com/sun/star/awt/XAdjustmentListener.hpp"
#include "com/sun/star/awt/XBitmap.hpp"
#include "com/sun/star/awt/XButton.hpp"
#include "com/sun/star/awt/XCheckBox.hpp"
#include "com/sun/star/awt/XComboBox.hpp"
#include "com/sun/star/awt/XControl.hpp"
#include "com/sun/star/awt/XControlContainer.hpp"
#include "com/sun/star/awt/XControlModel.hpp"
#include "com/sun/star/awt/XCurrencyField.hpp"
#include "com/sun/star/awt/XDataTransferProviderAccess.hpp"
#include "com/sun/star/awt/XDateField.hpp"
#include "com/sun/star/awt/XDevice.hpp"
#include "com/sun/star/awt/XDialog.hpp"
#include "com/sun/star/awt/XDisplayBitmap.hpp"
#include "com/sun/star/awt/XDockableWindow.hpp"
#include "com/sun/star/awt/XExtendedToolkit.hpp"
#include "com/sun/star/awt/XFileDialog.hpp"
#include "com/sun/star/awt/XFixedText.hpp"
#include "com/sun/star/awt/XFocusListener.hpp"
#include "com/sun/star/awt/XFont.hpp"
#include "com/sun/star/awt/XGraphics.hpp"
#include "com/sun/star/awt/XImageButton.hpp"
#include "com/sun/star/awt/XImageConsumer.hpp"
#include "com/sun/star/awt/XImageProducer.hpp"
#include "com/sun/star/awt/XInfoPrinter.hpp"
#include "com/sun/star/awt/XItemEventBroadcaster.hpp"
#include "com/sun/star/awt/XItemListener.hpp"
#include "com/sun/star/awt/XKeyListener.hpp"
#include "com/sun/star/awt/XLayoutConstrains.hpp"
#include "com/sun/star/awt/XListBox.hpp"
#include "com/sun/star/awt/XMenuBar.hpp"
#include "com/sun/star/awt/XMenuExtended.hpp"
#include "com/sun/star/awt/XMenuListener.hpp"
#include "com/sun/star/awt/XMessageBox.hpp"
#include "com/sun/star/awt/XMouseListener.hpp"
#include "com/sun/star/awt/XMouseMotionListener.hpp"
#include "com/sun/star/awt/XNumericField.hpp"
#include "com/sun/star/awt/XPaintListener.hpp"
#include "com/sun/star/awt/XPatternField.hpp"
#include "com/sun/star/awt/XPointer.hpp"
#include "com/sun/star/awt/XPopupMenu.hpp"
#include "com/sun/star/awt/XPrinter.hpp"
#include "com/sun/star/awt/XPrinterPropertySet.hpp"
#include "com/sun/star/awt/XPrinterServer.hpp"
#include "com/sun/star/awt/XProgressBar.hpp"
#include "com/sun/star/awt/XProgressMonitor.hpp"
#include "com/sun/star/awt/XRadioButton.hpp"
#include "com/sun/star/awt/XRegion.hpp"
#include "com/sun/star/awt/XReschedule.hpp"
#include "com/sun/star/awt/XScrollBar.hpp"
#include "com/sun/star/awt/XSpinField.hpp"
#include "com/sun/star/awt/XSpinListener.hpp"
#include "com/sun/star/awt/XSpinValue.hpp"
#include "com/sun/star/awt/XSystemChildFactory.hpp"
#include "com/sun/star/awt/XSystemDependentWindowPeer.hpp"
#include "com/sun/star/awt/XTabController.hpp"
#include "com/sun/star/awt/XTabControllerModel.hpp"
#include "com/sun/star/awt/XTextArea.hpp"
#include "com/sun/star/awt/XTextComponent.hpp"
#include "com/sun/star/awt/XTextEditField.hpp"
#include "com/sun/star/awt/XTextLayoutConstrains.hpp"
#include "com/sun/star/awt/XTextListener.hpp"
#include "com/sun/star/awt/XTimeField.hpp"
#include "com/sun/star/awt/XToggleButton.hpp"
#include "com/sun/star/awt/XToolkit.hpp"
#include "com/sun/star/awt/XTopWindow.hpp"
#include "com/sun/star/awt/XTopWindowListener.hpp"
#include "com/sun/star/awt/XUnoControlContainer.hpp"
#include "com/sun/star/awt/XVclContainer.hpp"
#include "com/sun/star/awt/XVclContainerListener.hpp"
#include "com/sun/star/awt/XVclContainerPeer.hpp"
#include "com/sun/star/awt/XVclWindowPeer.hpp"
#include "com/sun/star/awt/XView.hpp"
#include "com/sun/star/awt/XWindow.hpp"
#include "com/sun/star/awt/XWindow2.hpp"
#include "com/sun/star/awt/XWindowListener.hpp"
#include "com/sun/star/awt/XWindowListener2.hpp"
#include "com/sun/star/awt/XWindowPeer.hpp"
#include "com/sun/star/beans/PropertyAttribute.hpp"
#include "com/sun/star/beans/PropertyChangeEvent.hpp"
#include "com/sun/star/beans/PropertyState.hpp"
#include "com/sun/star/beans/PropertyStateChangeEvent.hpp"
#include "com/sun/star/beans/PropertyValue.hpp"
#include "com/sun/star/beans/PropertyValues.hpp"
#include "com/sun/star/beans/XFastPropertySet.hpp"
#include "com/sun/star/beans/XMultiPropertySet.hpp"
#include "com/sun/star/beans/XPropertiesChangeListener.hpp"
#include "com/sun/star/beans/XPropertyAccess.hpp"
#include "com/sun/star/beans/XPropertyChangeListener.hpp"
#include "com/sun/star/beans/XPropertyContainer.hpp"
#include "com/sun/star/beans/XPropertySet.hpp"
#include "com/sun/star/beans/XPropertySetInfo.hpp"
#include "com/sun/star/beans/XPropertyState.hpp"
#include "com/sun/star/beans/XVetoableChangeListener.hpp"
#include "com/sun/star/container/XContainer.hpp"
#include "com/sun/star/container/XContainerListener.hpp"
#include "com/sun/star/container/XIndexContainer.hpp"
#include "com/sun/star/container/XNameContainer.hpp"
#include "com/sun/star/datatransfer/clipboard/XClipboard.hpp"
#include "com/sun/star/datatransfer/clipboard/XFlushableClipboard.hpp"
#include "com/sun/star/embed/EmbedMapUnits.hpp"
#include "com/sun/star/graphic/XGraphic.hpp"
#include "com/sun/star/graphic/XGraphicProvider.hpp"
#include "com/sun/star/io/XInputStream.hpp"
#include "com/sun/star/io/XMarkableStream.hpp"
#include "com/sun/star/io/XPersistObject.hpp"
#include "com/sun/star/lang/DisposedException.hpp"
#include "com/sun/star/lang/EventObject.hpp"
#include "com/sun/star/lang/Locale.hpp"
#include "com/sun/star/lang/SystemDependent.hpp"
#include "com/sun/star/lang/XComponent.hpp"
#include "com/sun/star/lang/XEventListener.hpp"
#include "com/sun/star/lang/XInitialization.hpp"
#include "com/sun/star/lang/XMultiServiceFactory.hpp"
#include "com/sun/star/lang/XServiceInfo.hpp"
#include "com/sun/star/lang/XSingleServiceFactory.hpp"
#include "com/sun/star/lang/XTypeProvider.hpp"
#include "com/sun/star/lang/XUnoTunnel.hpp"
#include "com/sun/star/registry/XRegistryKey.hpp"
#include "com/sun/star/registry/XSimpleRegistry.hpp"
#include "com/sun/star/script/ScriptEventDescriptor.hpp"
#include "com/sun/star/script/XScriptEventsSupplier.hpp"
#include "com/sun/star/style/VerticalAlignment.hpp"
#include "com/sun/star/uno/Reference.h"
#include "com/sun/star/uno/Reference.hxx"
#include "com/sun/star/uno/Sequence.h"
#include "com/sun/star/uno/Sequence.hxx"
#include "com/sun/star/uno/XInterface.hpp"
#include "com/sun/star/util/Date.hpp"
#include "com/sun/star/util/XChangesListener.hpp"
#include "com/sun/star/util/XChangesNotifier.hpp"
#include "com/sun/star/util/XCloneable.hpp"
#include "com/sun/star/util/XModeChangeBroadcaster.hpp"
#include "com/sun/star/util/XNumberFormatsSupplier.hpp"

#include "comphelper/IdPropArrayHelper.hxx"
#include "comphelper/accessiblecomponenthelper.hxx"
#include "comphelper/accessiblecontexthelper.hxx"
#include "comphelper/accessibleeventnotifier.hxx"
#include "comphelper/accessiblekeybindinghelper.hxx"
#include "comphelper/accessibletexthelper.hxx"
#include "comphelper/accessiblewrapper.hxx"
#include "comphelper/accimplaccess.hxx"
#include "comphelper/asyncnotification.hxx"
#include "comphelper/broadcasthelper.hxx"
#include "comphelper/componentcontext.hxx"
#include "comphelper/container.hxx"
#include "comphelper/processfactory.hxx"
#include "comphelper/propertycontainer.hxx"
#include "comphelper/regpathhelper.hxx"
#include "comphelper/sequence.hxx"
#include "comphelper/stl_types.hxx"
#include "comphelper/types.hxx"
#include "comphelper/uno3.hxx"

#include "cppuhelper/bootstrap.hxx"
#include "cppuhelper/compbase2.hxx"
#include "cppuhelper/compbase3.hxx"
#include "cppuhelper/compbase6.hxx"
#include "cppuhelper/factory.hxx"
#include "cppuhelper/implbase1.hxx"
#include "cppuhelper/implbase2.hxx"
#include "cppuhelper/implbase3.hxx"
#include "cppuhelper/implbase4.hxx"
#include "cppuhelper/implbase6.hxx"
#include "cppuhelper/implbase7.hxx"
#include "cppuhelper/interfacecontainer.h"
#include "cppuhelper/interfacecontainer.hxx"
#include "cppuhelper/propshlp.hxx"
#include "cppuhelper/queryinterface.hxx"
#include "cppuhelper/servicefactory.hxx"
#include "cppuhelper/typeprovider.hxx"
#include "cppuhelper/weak.hxx"
#include "cppuhelper/weakagg.hxx"
#include "cppuhelper/weakref.hxx"

#include "osl/conditn.hxx"
#include "osl/diagnose.h"
#include "osl/module.h"
#include "osl/mutex.hxx"

#include "rtl/instance.hxx"
#include "rtl/memory.h"
#include "rtl/process.h"
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "rtl/uuid.h"


#include "sot/exchange.hxx"
#include "sot/formats.hxx"


#include "toolkit/awt/vclxbitmap.hxx"
#include "toolkit/awt/vclxgraphics.hxx"
#include "toolkit/awt/vclxpointer.hxx"
#include "toolkit/awt/vclxprinter.hxx"
#include "toolkit/awt/vclxregion.hxx"
#include "toolkit/controls/accessiblecontrolcontext.hxx"
#include "toolkit/controls/stdtabcontroller.hxx"
#include "toolkit/controls/stdtabcontrollermodel.hxx"
#include "toolkit/dllapi.h"
#include "toolkit/helper/convert.hxx"
#include "toolkit/helper/emptyfontdescriptor.hxx"
#include "toolkit/helper/macros.hxx"
#include "toolkit/helper/mutexandbroadcasthelper.hxx"
#include "toolkit/helper/mutexhelper.hxx"
#include "toolkit/helper/property.hxx"
#include "toolkit/helper/servicenames.hxx"
#include "toolkit/helper/solarrelease.hxx"
#include "toolkit/helper/tkresmgr.hxx"
#include "toolkit/helper/unomemorystream.hxx"
#include "toolkit/helper/unopropertyarrayhelper.hxx"

#include "tools/color.hxx"
#include "tools/date.hxx"
#include "tools/debug.hxx"
#include "tools/diagnose_ex.h"
#include "tools/gen.hxx"
#include "tools/link.hxx"
#include "tools/list.hxx"
#include "tools/poly.hxx"
#include "tools/simplerm.hxx"
#include "tools/solar.h"
#include "tools/stream.hxx"
#include "tools/string.hxx"
#include "tools/table.hxx"
#include "tools/time.hxx"
#include "tools/urlobj.hxx"

#include "uno/data.h"

#include "unotools/accessiblerelationsethelper.hxx"
#include "unotools/accessiblestatesethelper.hxx"
#include "unotools/configmgr.hxx"
#include "unotools/localedatawrapper.hxx"

#include "vcl/bitmap.hxx"
#include "vcl/bitmapex.hxx"
#include "vcl/controllayout.hxx"
#include "vcl/font.hxx"
#include "vcl/gradient.hxx"
#include "vcl/image.hxx"
#include "vcl/imgcons.hxx"
#include "vcl/jobset.hxx"
#include "vcl/mapunit.hxx"
#include "vcl/menu.hxx"
#include "vcl/metric.hxx"
#include "vcl/outdev.hxx"
#include "vcl/pointr.hxx"
#include "vcl/print.hxx"
#include "vcl/region.hxx"
#include "vcl/svapp.hxx"
#include "vcl/unohelp.hxx"
#include "vcl/unohelp2.hxx"
#include "vcl/vclenum.hxx"
#include "vcl/virdev.hxx"

#include "vos/mutex.hxx"
//---MARKER---
#endif

